<?php
/****************************************

		Green functions.php

		테마 설정용 파일

*****************************************/

/**
 * // 메인 칼럼의 넓이와 폭을 지정하는 변수. 아래는 600px를 지정(추천）
 */

if ( ! isset( $content_width ) ) $content_width = 600;



/**
 * <head> 안에 RSS 피드의 링크를 표시하는 코드
 */

add_theme_support( 'automatic-feed-links' );



/**
 * 고정 페이지에서 요약 글을 사용할 때의 코드
 */

add_post_type_support( 'page', 'excerpt' );



/****************************************

		사용자 정의 헤더

		사용자 정의 헤더 설정은 15장을 참고

*****************************************/

$args = array(
	'width' => 940,
	'height' => 320,
	'header-text' => false,
	'default-image' => get_template_directory_uri() . '/images/default_header.jpg',
	'admin-head-callback' => 'admin_header_style'
);

add_theme_support( 'custom-header', $args );


/**
 * 관리 페이지, 사용자 정의 페더의 스타일
 */

function admin_header_style() { ?>
<style type="text/css">
#headimg {
	max-width: <?php echo get_custom_header()->width; ?>px;
	height: <?php echo get_custom_header()->height; ?>px;
}
</style>
<?php
}



/****************************************

		특성 이미지

		특성 이미지에 대해서는 14장을 참고

*****************************************/

add_theme_support( 'post-thumbnails' );



/****************************************

	사용자 정의 메뉴

	사용자 정의 메뉴에 대해서는 12장을 참고

*****************************************/

add_theme_support( 'menus' );


/**
 * 메뉴의 '테마 내 위치'를 정의
 */

register_nav_menu( 'header-navi', '메인 내비게이션' );

register_nav_menu( 'header-sub-navi', '하위 내비게이션' );

register_nav_menu( 'footer-navi', '풋터 내비게이션' );

register_nav_menu( 'footer-left-column', '풋터 왼쪽 칼럼' );

register_nav_menu( 'footer-center-column', '풋터 가운데 칼럼' );

register_nav_menu( 'footer-right-column', '풋터 오른쪽 칼럼' );



/****************************************

	위젯

	Green에서는 풋터 한 곳에만 하나의 위젯만을 정의합니다.

	위젯에 관해서는 11장을 참고

*****************************************/


register_sidebar(array(
	'name'          => sprintf('풋터 위젯' ),
	'id' => 'footer-1',
	'description' => '풋터 위젯 영역입니다.',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => '</div>',
));



/****************************************

	브레드크럼 메뉴

	브레드크럼 메뉴에 대해서는 16장, 23장, 24장 참고

*****************************************/


function breadcrumb(){

	global $wp_query, $post;

	$str='<nav id="breadcrumb" class="clearfix">'."\n";

		$str.='<ul>'."\n";

			$str.='<li><a href="' . home_url('/') .'" class="home">HOME</a></li>'."\n";

			$str.='<li>&gt;</li>'."\n";


			/* 검색 결과 페이지 */
			if( is_search() ){

				$total_results = $wp_query -> found_posts;

				$str.='<li>「'. get_search_query() .'」(으)로 검색한 결과 '. $total_results .'개를 발견했습니다.</li>'."\n";

				wp_reset_postdata();

			}


			/* 태그 페이지 */
			elseif( is_tag() ){

				$str.='<li><a href="'. home_url('/') . 'blog/">블로그</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";

				$str.='<li>タグ : '.single_tag_title( '' , false ) . '</li>'."\n";

			}


			/* 404 Not Found 페이지 */
			elseif( is_404() ){

				$str.='<li>404 Not found</li>'."\n";

			}


			/* 시간순 목록 페이지 */
			elseif( is_date() ){

				$str.='<li><a href="' . home_url('/') .'blog/">블로그</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";


				/* 날짜별 목록 페이지 */
				if( is_day() ){

					$str.='<li><a href="' . get_year_link(get_query_var('year')) .'">' . get_query_var('year') . '년</a></li>'."\n";

					$str.='<li>&gt;</li>'."\n";

					$str.='<li><a href="'. get_month_link(get_query_var('year'), get_query_var('monthnum')) .'">'. get_query_var('monthnum') .'월</a></li>'."\n";

					$str.='<li>&gt;</li>'."\n";

					$str.='<li>' . get_query_var('day') . '일</li>'."\n";

				}


				/* 월별 목록 페이지 */
				elseif( is_month() ){

					$str.='<li><a href="' . get_year_link(get_query_var('year')) .'">' . get_query_var('year') .'년</a></li>'."\n";

					$str.='<li>&gt;</li>'."\n";

					$str.='<li>' .  get_query_var('monthnum') .'월</li>'."\n";

				}


				/* 연별 목록 페이지 */
				elseif( is_year() ){

					$str.='<li>' . get_query_var('year') . '년</li>'."\n";

				}

			}


			/* 사용자 정의 글쓰기 타입 '공지사항'의 목록 페이지 */
			elseif( is_post_type_archive('information') ){

				$str.='<li>공지사항 목록</li>'."\n";

			}


			/* 블로그 카테고리 페이지 */
			elseif( is_category() ){

				$total_results = $wp_query->found_posts;

				$str.='<li><a href="' . home_url('/') .'blog/">블로그</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";

				$cat = get_queried_object();

				if($cat -> parent != 0){

					$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));

					foreach($ancestors as $ancestor){

						$str.='<li><a href="' . get_category_link($ancestor) .'">' . get_cat_name($ancestor) .'</a></li>'."\n";

						$str.='<li>&gt;</li>'."\n";

					}

				}

				$str.='<li>' . $cat -> cat_name .'（' . $total_results .'개를 발견했습니다.）</li>'."\n";

				wp_reset_postdata();

			}


			/* 작성자 페이지 */
			elseif( is_author() ){

				$str.='<li><a href="' . home_url('/') . 'blog/">블로그</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";

				$str.='<li>작성자: ' .  get_the_author_meta('display_name', get_query_var('author')) . '</li>'."\n";

			}


			/* 블로그의 메인 페이지 */
			elseif( is_home() ){

				$str.='<li>블로그</li>';

			}


			/* 고정 페이지 */
			elseif( is_page() ){

				if($post -> post_parent != 0 ){

					$ancestors = array_reverse( $post-> ancestors );

					foreach($ancestors as $ancestor){

						$str .='<li><a href="' . get_permalink($ancestor) .'">'. get_the_title($ancestor) . '</a></li>'."\n";

						$str.='<li>&gt;</li>'."\n";

					}

				}

				$str.='<li>' . $post -> post_title . '</li>'."\n";

			}


			/* 첨부 파일 페이지 */
			elseif( is_attachment() ){

				if($post -> post_parent != 0 ){

					$str.='<li><a href="' . get_permalink($post -> post_parent) .'">' . get_the_title($post -> post_parent) .'</a></li>'."\n";

					$str.='<li>&gt;</li>'."\n";

				}

				$str.='<li>' . $post -> post_title . '</li>'."\n";

			}


			/* 사용자 정의 글쓰기 타입 '공지사항'의 개별 페이지 */
			elseif( is_singular( 'information') ){

				$str.='<li><a href="' . home_url('/') .'information/">공지사항 목록</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";

				$str.= '<li>'. single_post_title( '' , false ).'</li>'."\n";

			}


			/* 사용자 정의 글쓰기 '제품'의 개별 페이지 */
			elseif( is_singular('product') ){

				$str.='<li><a href="'. home_url('/') .'products/">제품 목록</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";

				$terms = get_the_terms( $post->ID, 'roomtype' );

					if ( $terms ){

						$term = array_shift($terms);

						$str.='<li><a href="' . get_term_link( $term, 'roomtype' ) . '">' . $term -> name .'</a></li>'."\n";

						$str .='<li>&gt;</li>'."\n";

					}

					$str.= '<li>'. single_post_title( '' , false ).'</li>'."\n";

			}


			/* 블로그 개별 페이지 */
			elseif( is_singular('post') ){

				$str.='<li><a href="' . home_url('/') . 'blog/">블로그</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";

				$categories = get_the_category($post->ID);

				$cat = $categories[0];

				if($cat -> parent != 0){

					$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));

					foreach($ancestors as $ancestor){

						$str.='<li><a href="' . get_category_link($ancestor) . '">' . get_cat_name($ancestor) .'</a></li>'."\n";

						$str.='<li>&gt;</li>'."\n";

					}

				}

				$str.='<li><a href="' . get_category_link($cat -> cat_ID) .'">' . $cat-> cat_name .'</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";

				$str.='<li>' . $post -> post_title . '</li>'."\n";

			}


			/* 분류 페이지 */
			elseif( is_tax() ){

				$str.='<li><a href="' . home_url('/') . 'products/">제품 목록</a></li>'."\n";

				$str.='<li>&gt;</li>'."\n";

				$str.='<li>' . single_cat_title( '' , false ) . '</li>'."\n";

			}


			/* 기타 페이지 */
			else{

				$str.='<li>' . wp_title('', true) .'</li>'."\n";

			}

		$str.='</ul>'."\n";

	$str.='</nav>'."\n";

	echo $str;

}




/****************************************

	Javascript 읽어들이기(25장 참조)
	
*****************************************/


if(!is_admin()){

	function register_script(){

		wp_register_script('green', get_template_directory_uri() . '/js/green.js', array( 'jquery' ), '1.0', true);

	}

	function add_script(){

		register_script();

		wp_enqueue_script( 'green' );

		/* jQuery UI */
		wp_enqueue_script( 'jquery-ui-tabs' );
		wp_enqueue_script( 'jquery-ui-accordion' );
	}

	add_action('init', 'add_script',10);

}


/****************************************

	그 밖에 테마에서 사용하는 사용자 정의 함수

*****************************************/


/**
 * 각 페이지의 제목을 출력하는 테마 함수 - header.php 안에서 사용
 */

function green_headline(){

	global $wp_query, $post;

	if( is_search() ){
		$str ='<h2 id="search-header">검색 결과</h2>' .

		'<h3>SEARCH</h3>';
	}

	elseif( is_404() ){

		$str ='<h2>찾으시는 페이지를 찾을 수 없습니다.</h2>' .

		'<h3>SORRY ... Not found</h3>';

	}

	elseif( is_category() ){

		$str ='<h2 id="category-header">카테고리</h2>' .

		'<h3>Category</h3>';

	}

	elseif( is_tax() ){

		$str ='<h2>'. single_cat_title( '' , false ) .'</h2>';

		$str.='<h3>';

		if(term_description()){

			remove_filter ('term_description', 'wpautop');

			$str.= term_description();

		}

		else{

			$str.='Undefined';

		}

		$str.='</h3>';

	}

	elseif( is_home() ){

		$str ='<h2>블로그</h2>' .

		'<h3>blog</h3>';

	}

	elseif( is_page() ){

		$str ='<h2>' . single_post_title( '' , false ) .'</h2>';

		if(get_post_meta($post -> ID, 'sub-title')) {

			$str .= '<h3>' . get_post_meta($post -> ID, 'sub-title', true) . '</h3>';

		}

		else{

			$str .= '<h3>Subtitle</h3>';

		}

	}

	elseif( is_singular( 'information') ){

		$str ='<h2>공지사항</h2>' .

		'<h3>Information</h3>';

	}

	elseif( is_singular( 'product') ){

		$str ='<h2>제품소개</h2>' .

		'<h3>product</h3>';

	}

	elseif( is_single() ){

		$str ='<h2>블로그</h2>' .

		'<h3>blog</h3>';

	}

	elseif( is_post_type_archive( 'information' ) ){

		$str ='<h2>공지사항 목록</h2>' .

		'<h3>Information</h3>';

	}

	else{

		$str ='<h2>' . wp_title('', true) .'</h2>';

	}

	echo $str;

}



/**
 * 텀의 슬러그를 알아오는 사용자 정의 함수
 */

function get_term_slug(){

	if( is_tax() ){

		$term_name = single_tag_title("", false);

		if( is_tax('roomtype') ){

			$term_properties = get_term_by('name', $term_name, 'roomtype');

		}

		else{

			$term_properties = get_term_by('name', $term_name, 'item');

		}

		$term_slug = $term_properties -> slug;

		return $term_slug;

	}

	else{

		return false;

	}

}



/**
 * 개별 글의 텀을 배열로 저장하는 사용자 정의 함수
 */

function get_my_term_array($taxonomy){

	global $post;

	$term_array = array();

	$terms = get_the_terms( $post -> ID, $taxonomy );

	if ( $terms && ! is_wp_error( $terms ) ) {

		foreach ( $terms as $term ) {

			$term_array[] = $term -> slug;

		}

	}

	return $term_array;
}



/**
 * the_excerpt()의 [...]를 ... 로 변경
 */

function new_excerpt_more($more) {
	return ' ...';
}

add_filter('excerpt_more', 'new_excerpt_more');



/**
 * 글 수를 지정하여 요약 글을 가져오는 사용자 정의 함수
 */

function my_excerpt( $length ) {

     global $post;

     $content = mb_substr( strip_tags( $post -> post_content ), 0, $length );

     $content = $content . "...";

     return $content;

}


/**
 * taxonomy.php、single-product에서 사용- 왼쪽에는 alpha, 오른쪽에는 omega라는 슬러그를 붙이는 사용자 정의 함수
 */

function add_class($obj){
	
	if( !$obj ){
		global $wp_query;
		$obj = $wp_query;
	}
    
    $current_post = $obj -> current_post;

    if( ($current_post % 3 ) === 0 ){
	    $class = 'alpha';
    }

    elseif( ($current_post % 3 ) === 2 ){
    	$class = 'omega';
    }

    else{
	    $class = '';
    }

    return $class;
}



/**
 * 이미지 표시용 쇼트코드 ... 예제 글 안에 이미지를 이용하기 위한 사용자 정의 쇼트코드
 */

function default_image($args) {

	extract(shortcode_atts(array(
		'img' => '',
	), $args));

    if( $img == 'square' ) {
    	return get_template_directory_uri() . '/images/sample-square.jpg';
    }
    elseif( $img == 'phone' ){
	    return get_template_directory_uri() . '/images/phone-number.jpg';
    }
    elseif( $img == 'message' ){
	  	return   get_template_directory_uri() . '/images/top-message.png';
    }
    else {
	    return get_template_directory_uri() . '/images/sample.jpg';
    }
}

add_shortcode('image_path', 'default_image');


/**
 * 홈의 URL을 얻기 위한 쇼트코드 ... 예제 글 안에서 사이트 내 링크를 붙이기 위한 사용자 정의 쇼트코드
 */

function get_url(){
	return home_url();
}

add_shortcode('home_url', 'get_url');
?>