<?php
/****************************************

	sidebar.php

	사이드 바에 표시할 템플릿 파일

*****************************************/
?>


<!-- sidebar.php -->
<div class="grid_3 pull_9" id="sidebar">

	<aside class="module" id="local-navi">
		<hgroup>

<?php

/****************************************

     사이드 바 제목 부분

     22, 23, 24장

*****************************************/


	/**
	 * 고정 페이지일 때
	 */

	if(is_page()):

		if($post -> post_parent == 0): /* 상위 페이지일 때 */ ?>

			<h2><?php single_post_title(); ?></h2>

			<?php if(get_post_meta($post -> ID, 'sub-title')): ?>

				<h3><?php echo get_post_meta($post -> ID, 'sub-title', true); /* 사용자 정의 필드 'sub-title'의 값을 표시 */ ?></h3>

			<?php else: ?>

				<h3>Subtitle</h3>

			<?php endif; ?>

		<?php else: /* 하위 페이지일 때 */ ?>

				<h2><?php echo get_the_title($post -> post_parent); /* 상위 페이지의 제목을 확인 */ ?></h2>

				<?php if(get_post_meta($post -> post_parent, 'sub-title')): ?>

					<h3><?php echo get_post_meta($post -> post_parent, 'sub-title', true); /* 상위 페이지 사용자 정의 필드 'sub-title'의 값을 표시 */ ?></h3>
				<?php else: ?>

					<h3>Subtitle</h3>

				<?php endif; ?>

		<?php endif; /* 상위 페이지/하위 페이지일 때는 여기까지 */


	/**
	 * 검색 결과 페이지일 때
	 */

	elseif(is_search() ): ?>

		<h2>검색 결과</h2>
		<h3>SEARCH</h3>

	<?php

	/**
	 * 404일 때
	 */

	elseif(is_404() ): ?>

		<h2>404</h2>
		<h3>NOT FOUND</h3>


	<?php

	/**
	 * 블로그일 때
	 */

	elseif( get_post_type() == 'post' ): ?>

		<h2>블로그</h2>
		<h3>BLOG</h3>


	<?php

	/**
	 * 사용자 정의 분류의 목록 페이지, 사용자 정의 글 쓰기 타입 'product'(제품)의 개별 글 쓰기 페이지일 때
	 */


	elseif( is_tax() || get_post_type() == 'product' ): ?>

		<h2>제품 목록</h2>
		<h3>PRODUCTS</h3>

	<?php

	/**
	 * 사용자 정의 글 쓰기 타입 'information'(공지사항)의 개별 페이지나 글 목록 페이지일 때
	 */

	elseif( get_post_type() == 'information' ): ?>

		<h2>공지사항</h2>
		<h3>INFORMATION</h3>

	<?php

	/**
	 * 기타
	 */

	else: ?>

		<h2>블로그</h2>
		<h3>BLOG</h3>

	<?php endif; ?>

	</hgroup>

	<?php

	/**
	 * 제목 부분은 여기까지
	 */


/****************************************

	사이드 바 특성 이미지

	22, 23, 34장

*****************************************/

	?>

	<p class="eyecatch">

	<?php

	/**
	 * 블로그 글 목록, 개별 글 페이지
	 */
	if( get_post_type() == 'post' ): ?>

		<img src="<?php echo get_template_directory_uri(); ?>/images/blog.jpg" width="214" height="132" alt="">
	
	<?php

	/**
	 * 검색 결과 페이지
	 */

	elseif(is_search() ): ?>

		<img src="<?php echo get_template_directory_uri(); ?>/images/search.jpg" width="214" height="132" alt="">


	<?php

	/**
	 * 404 Not Found
	 */
	elseif(is_404() ): ?>

		<img src="<?php echo get_template_directory_uri(); ?>/images/404.jpg" width="214" height="132" alt="">


	<?php

	/**
	 * 고정 페이지
	 */
	elseif(is_page()):

		if(has_post_thumbnail($post -> ID)):

			echo get_the_post_thumbnail($post -> ID, array(214,132));

		else: ?>

			<img src="<?php echo get_template_directory_uri(); ?>/images/no-image-sidebar.jpg" width="214" height="132" alt="">

		<?php endif;


	/**
	 * 공지사항 글 목록, 개별 글
	 */
	elseif(is_singular('information') || is_post_type_archive( 'information' )): ?>

		<img src="<?php echo get_template_directory_uri(); ?>/images/info2.jpg" width="214" height="132" alt="">


	<?php

	/**
	 * 제품 고정 페이지
	 */
	elseif(is_singular('product') ):

		$terms = get_the_terms( $post -> ID, 'roomtype' );

		if ( $terms ) :

			$term = array_shift($terms);

			/* [중요] 이미지의 이름을 슬러그와 같게! */ ?>

			<img src="<?php echo get_template_directory_uri(); ?>/images/<?php echo $term -> slug; ?>.jpg" alt="">

		<?php else: ?>

			<img src="<?php echo get_template_directory_uri(); ?>/images/no-image-sidebar.jpg" width="214" height="132" alt="">

		<?php endif;


	/**
	 * 방 타입, 가구 종류(taxonomy.php)
	 */
	elseif(is_tax()):

		/* [중요] 이미지의 이름을 슬러그와 같게 */ ?>
		<img src="<?php echo get_template_directory_uri(); ?>/images/<?php echo get_term_slug(); ?>.jpg" alt="">


	<?php

	/**
	 * 기타
	 */
	else:

		if(has_post_thumbnail()):

			echo get_the_post_thumbnail(array(214,132));

		else:?>

			<img src="<?php echo get_template_directory_uri(); ?>/images/no-image-sidebar.jpg" width="214" height="132" alt="">

		<?php endif;

	endif; ?>

	</p>


	<?php

/****************************************

	로컬 내비게이션(링크)
	22, 23, 24장

*****************************************/


	/**
	 * 공지 사항 글 읽기 
	 */
	if(is_singular('information') ): ?>

		<nav class="sidebar-navi">

			<?php $args = array(
					'post_type' => 'information',
					'posts_per_page' => 5
			);

			$information = new WP_Query( $args );

			if( $information -> have_posts() ): ?>

				<ul>
					<?php while ($information -> have_posts()) : $information -> the_post(); ?>

						<li class="brother"><a href="<?php the_permalink() ?>"><?php the_title(); ?>&nbsp;<span class="date">- <?php echo get_the_date(); ?></span></a></li>

					<?php endwhile;

			endif;

			wp_reset_postdata(); ?>

						<li><a href="<?php echo home_url('/');?>information/">&raquo; 공지사항 목록</a></li>
				</ul>

		</nav>

	<?php

	/**
	 * 검색 결과
	 */
	elseif(is_search()):

		/* 표시하고 싶은 문구가 있다면 이곳에 적을 것 */


	/**
	 * 블로그의 첫 페이지나 카테고리, 개별 페이지 등
	 */
	elseif( get_post_type() == 'post' ): ?>

		<nav class="sidebar-navi">

			<ul class="blog-category">

				<?php wp_list_categories('title_li='); ?>

			</ul>

		</nav>


	<?php

	/**
	 * 고정 페이지 'products', 방 타입, 가구 종퓨, 제품 개별 페이지
	 */
	elseif(is_page('products')||is_tax()||is_singular('product')): ?>

		<nav class="sidebar-navi">

			<ul class="accordion">

				<?php $roomtype_args = array(
						'title_li' => '<a class="header" href="#">방 타입으로 찾기</a>',
						'orderby' => 'id',
						'taxonomy' => 'roomtype'
					);

				wp_list_categories($roomtype_args);

				$item_args = array(
						'title_li' => '<a class="header" href="#">가구 종류로 찾기</a>',
						'orderby' => 'id',
						'taxonomy' => 'item'
				);

				wp_list_categories($item_args); ?>

			</ul>

		</nav>


	<?php

	/**
	 * 고정 페이지일 때(22장)
	 */
	elseif(is_page()):

		/* 상위 페이지일 때 */
		if ( $post -> post_parent == 0 ) :

			$args = array(
				'post_type' => 'page',
				'post_parent' => $post -> ID,
				'order' => 'ASC',
				'orderby' => 'menu_order',
			);

			$child_posts = new WP_Query( $args );

			if( $child_posts -> have_posts() ): ?>

				<nav class="sidebar-navi">

					<ul class="accordion ">

						<li class="current first"><span><?php the_title(); ?></span>

							<ul class="child">

							<?php while ($child_posts -> have_posts()) : $child_posts -> the_post(); ?>

	    						<li><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></li>

							<?php endwhile;?>

							</ul>
						</li>

					</ul>

				</nav>

			<?php endif;

			wp_reset_postdata();


		/* 하위 페이지일 때 */
		else:

			$args = array(
				'post_type' => 'page',
				'post_parent' => $post -> post_parent,
				'order' => 'ASC',
				'orderby' => 'menu_order',
			);

			$current_ID = $post -> ID;

			$brother_posts = new WP_Query( $args );

			if( $brother_posts -> have_posts() ): ?>

				<nav class="sidebar-navi">

					<ul class="accordion">

						<?php while ($brother_posts -> have_posts()) : $brother_posts -> the_post();

							if($current_ID == $post -> ID): ?>

								<li class="current"><span><?php the_title(); ?></span></li>

							<?php else: ?>

	   							<li class="brother"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></li>

	   						<?php endif;

						endwhile;?>

					</ul>

				</nav>

			<?php endif;

			wp_reset_postdata();

		endif;

	endif; ?>

	</aside>

</div><!-- sidebar -->

<!-- /sidebar.php -->