<?php
/****************************************

	single-product.php

	사용자 정의 글 타입 product의 개별 글 페이지용 템플릿 파일(24장)

*****************************************/

get_header(); ?>

<!-- single-product.php -->

<div class="grid_9 push_3" id="main">

	<div class="box-top"></div>
	<article class="box-middle post">

		<?php if (have_posts()) : /* 순환 시작 */

			while (have_posts()) : the_post(); ?>

				<h3><?php the_title(); /* 제목 */ ?></h3>

				<?php the_content(); /* 콘텐츠 */

			endwhile;

		else : ?>

			<h3>Not Found</h3>

			<p>Sorry, but you are looking for something that isn't here.</p>

		<?php endif; /* 순환 종료 */ ?>

	</article>
	<div class="box-bottom"></div>

<?php

/**
 * 여기서부터 관련 글
 */
 
if( get_the_terms( $post->ID, 'roomtype' ) || get_the_terms( $post -> ID, 'item' ) ):
	
	$args = array(
		'post_type' => 'product',
		'post__not_in' =>  array($post -> ID),
		'orderby' => 'rand',
		'posts_per_page' => 6,
		'tax_query' => array(
			'relation' => 'OR',
			array(
				'taxonomy' => 'roomtype',
				'field' => 'slug',
				'terms' => get_my_term_array("roomtype")
			),
			array(
				'taxonomy' => 'item',
				'field' => 'slug',
				'terms' => get_my_term_array("item")
			)
		)
	);

	$related = new WP_Query($args);
	
	if( $related -> have_posts() ): /* 하위 순환 시작 */ ?>
		<aside class="related">
			<div class="clearfix">
				<hgroup class="related">
					<h2>관련 상품</h2>
					<h3>Related products</h3>
				</hgroup>
			</div>
			<?php 
			while ( $related->have_posts() ) : $related -> the_post(); /* 반복 처리 시작 */ ?>
			
				<article class="grid_3 <?php echo add_class($related); /* Green 테마 고유 함수 - 테마용 클래스를 지정함 */ ?>">
					<div class="box-link">
						<div class="box-s-top"></div>
						<div class="box-s-middle equal-height">
						
							<!-- 제목 -->
							<hgroup>
								<h3><?php the_title(); ?></h3>
								<?php if(get_post_meta($post -> ID,'sub-title', true)): ?>
									<h4 class="subtitle"><?php echo get_post_meta($post -> ID,'sub-title', true); ?></h4>
								<?php else: ?>
									<h4 class="subtitle">SUBTITLE</h4>
								<?php endif; ?>
							</hgroup>
				
							<?php /*  특성 이미지 */
							if(has_post_thumbnail()):
								the_post_thumbnail();
							else: ?>
								<img src="<?php echo get_template_directory_uri(); ?>/images/default.jpg" alt="" />
							<?php 
							endif;
							?>
							
							<p class="rigft-align link">
								<a href="<?php the_permalink() ?>">자세히 보기</a>
							</p>
						</div>
						<div class="box-s-bottom"></div>
					</div>
				</article>
			<?php 
			endwhile; /* 반복 처리 종료 */
			?>
		</aside>
	<?php 
	endif; /* 하위 루프 종료 */
	wp_reset_postdata();
	
endif;?>
</div>
<!-- main -->
<!-- /single-products.php -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>