<?php
/****************************************

		taxonomy.php(24장)

		사용자 정의 분류를 표시하는 템플릿 파일입니다.

*****************************************/

get_header(); ?>
<!-- taxonomy.php -->
<div class="grid_9 push_3" id="main">

	<?php if (have_posts()) : /* 순환 시작 */

		while (have_posts()) : the_post(); ?>

			<article class="grid_3 box-link <?php echo add_class(); /* Green 테마 사용자 정의 함수 - 테마용 클래스 지정 */ ?>">

				<div class="box-s-top"></div>
				<div class="box-s-middle equal-height">

					<hgroup>
						<h3><?php the_title(); /* 제목 */ ?></h3>

						<h4 class="subtitle">

							<?php if( get_post_meta($post -> ID,'sub-title') ) : /* 사용자 정의 필드를 이용한 하위 제목 */

									echo get_post_meta($post -> ID,'sub-title', true);

							else: ?>

								Subtile

							<?php endif; ?>

						</h4>
					</hgroup>

					<?php if(has_post_thumbnail()): /* 특성 이미지 */ ?>

						<?php the_post_thumbnail(); ?>

					<?php else: ?>

						<img src="<?php echo get_template_directory_uri(); ?>/images/default.jpg" alt="" />

					<?php endif; ?>

					<div class="excerpt">
						<?php echo my_excerpt(60); /* Green 사용자 정의 함수 - 60문자 요약을 표시 */ ?>
					</div>

					<p class="rigft-align link">
						<a href="<?php the_permalink() ?>">자세히 보기</a>
					</p>

				</div>
				<div class="box-s-bottom"></div>

			</article>

		<?php endwhile;

	else : ?>

		<div class="box-top"></div>
		<article class="box-middle post">

			<h3>Not Found</h3>

			<p>Sorry, but you are looking for something that isn't here.</p>

		</article>
		<div class="box-bottom"></div>

	<?php endif;


	if (function_exists('wp_pagenavi')): /* 페이지 이동 플러그인 wp_pagenavi용 */

		wp_pagenavi();

	else:

		if ( $wp_query->max_num_pages > 1 ) : /* 여러 페이지용 내비게이션 */ ?>

			<nav class="navigation">

				<div class="alignleft"><?php next_posts_link('&laquo; PREV'); ?></div>

				<div class="alignright"><?php previous_posts_link('NEXT &raquo;'); ?></div>
			</nav>

		<?php endif;

	endif; ?>

</div>
<!-- main -->
<!-- /taxonomy.php -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>